*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html{
    font-size: 62.5%;
}

body{
    font-size: 1.6rem; /*Igual a 16px*/
}

.container{
    border: 0.3rem solid black; /*Igual a 3px*/
    display: flex; /*Los hijos son flexibles y no se ponen debajo cada div, sino de lado, se debe tener un container principal para usar flex*/
    /*flex-direction: Direccion en la que se acomodaran los hijos => row/column (-reverse): horizontal/vertical (de reversa)*/
    /*flex-wrap: Ajusta los elementos de manera automatica dependiendo del tamano de la pantalla, baja los componentes si no se tiene espacio*/
    /*justify-content: Alinear el contenido de forma horizontal => flex-start/flex-end: Dirige todo a la izquierda/derecha || space-around/space-evenly: Espacio desigual/igual entre contenedores*/
    
    /*align-items: center; Se alinean de forma vertical en el centro*/
    /*align-items: flex-start; Se alinean en la parte de arriba de su contenedor padre*/
    /*align-items: flex-end; Se alinean en la parte de abajo de su contenedor padre*/
    /*align-items: stretch; Se estiran al tamano que tenga el contenedor padre (no debe haber altura estipulada)*/
    /*align-items: baseline; Toma el espacio de su contenido = Ajusta la altura al contenido del padre (no debe jhaber altura estipulada)*/
    flex-wrap: wrap; /*Permite que un elemento cuyo tamaño sea mayor al de la página haga un salto de línea sin salirse del contenedor*/
    /*height: 50vh;*/
}

.box{
    /*width: 10rem;*/
    height: 10rem;
    flex-basis: 10rem; /*Baja los elementos a una siguiente linea si no hay un ancho (width) definido/Especifica el tamaño inicial de un elemento flexible*/
    flex-grow: 1;
}

.box1{
    background-color: lightcoral;
    /*order: 1; Tomara la posicion 3*/
    /*flex-grow: 1; Ocupan el espacio que faltaba, teniendo el width lleno, si se hace chica la pantalla, regresan a su posicion original*/
}

.box2{
    background-color: lightsalmon;
    /*order: 3; Tomara la posicion 5*/
    /*flex-grow: 1; Ocupan el espacio que faltaba, teniendo el width lleno, si se hace chica la pantalla, regresan a su posicion original*/
}

.box3{
    background-color: lightgoldenrodyellow;
    /*Tomara la posicion 1, dado que no esta especificado y es el primero declarado sin tener un orden*/
}

.box4{
    background-color: lightgreen;
    /*Tomara la posicion 2, dado que no esta especificado y es el segundo declarado sin tener un orden*/
}

.box5{
    background-color: lightskyblue;
    /*order: 4; Tomara la posicion 6*/
}

.box6{
    background-color: mediumpurple;
    /*order: 2; Tomara la posicion 4*/
}